| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
database_header.hpp File Reference
Private

defines the database structure in file More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "user_interaction.hpp"`

Go to the source code of this file.

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Functions
generic_file * | libdar::database_header_create (user_interaction &dialog, memory_pool *pool, const std::string &filename, bool overwrite)
| create the header for a dar_manager database More...
generic_file * | libdar::database_header_open (user_interaction &dialog, memory_pool *pool, const std::string &filename, unsigned char &db_version)
| read the header of a dar_manager database More...
const unsigned char | libdar::database_header_get_supported_version ()

## Detailed Description

defines the database structure in file

Definition in file database_header.hpp.